Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
aleec
Posts: 2
Registered: ‎09-11-2008
My Device: Not Specified

MDS Simulator 4.6 doesn't run properly

Hi,
I'm trying to run the bberry Bold simulator with MDS simulator 4.6. Whenever I try to run the MDS simulator a command window flashes up for a few seconds and then disappears. The Bold simulator has no data access/can't browse, etc so I'm assuming the MDS didn't start properly. Does anyone have an idea what I can do to fix this?
Alex
Please use plain text.
Administrator
MSohm
Posts: 14,226
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: MDS Simulator 4.6 doesn't run properly

Please see the following link.

 

Support - BlackBerry Mobile Data Service Simulator does not launch
Article Number: DB-00054

http://www.blackberry.com/knowledgecenterpublic/livelink.exe/fetch/2000/348583/800792/801079/Support...

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
skicson
Posts: 56
Registered: ‎07-14-2008
My Device: Not Specified

Re: MDS Simulator 4.6 doesn't run properly

I'm running into this same problem and I've done all the steps in listed in the doc.  What JVM version is required?  I have 1.5.

 

Here's what I'm getting when I try running this stuff from the command line (JAVA_HOME is not set):

 

C:\Program Files\Research In Motion\BlackBerry JDE 4.6.0\MDS>echo %BMDS_CLASSPAT
H%
.;classpath\activation.jar;classpath\bmds.jar;classpath\clibwrapper_jiio.jar;cla
sspath\commons-codec.jar;classpath\commons-fileupload.jar;classpath\commons-http
client.jar;classpath\commons-pool.jar;classpath\ecma.jar;classpath\image.jar;cla
sspath\jai_codec.jar;classpath\jai_core.jar;classpath\jai_imageio.jar;classpath\
jaxb-impl.jar;classpath\jsr173_api.jar;classpath\mail.jar;classpath\mina-core.ja
r;classpath\mina-filter-ssl.jar;classpath\mlibwrapper_jai.jar;classpath\net_rim_
api.jar;classpath\net_rim_api36.jar;classpath\protocol.jar;classpath\rapc.jar;cl
asspath\resourcebundle.jar;classpath\saaj-api.jar;classpath\saaj-impl.jar;classp
ath\svgc.jar;classpath\transcoderBBCONNECTCSS.jar;classpath\transcoderBBCONNECTH
TML.jar;classpath\transcoderBBCONNECTJAVASCRIPT.jar;classpath\transcoderCOD.jar;
classpath\transcoderCSS.jar;classpath\transcoderHTML.jar;classpath\transcoderIMA
GE.jar;classpath\transcoderJScriptc.jar;classpath\transcoderMultipart.jar;classp
ath\transcoderSVG.jar;classpath\transcoderUCS.jar;classpath\transcoderWML.jar;cl
asspath\transcoderWMLS.jar;classpath\transcoderXML.jar;classpath\yk.jar

C:\Program Files\Research In Motion\BlackBerry JDE 4.6.0\MDS>java -classpath %BM
DS_CLASSPATH%;%BMDS_CLASSPATH2% -Xmx512M -Djava.endorsed.dirs=classpath\endorsed
 -DKeystore.Password=password net.rim.application.ipproxyservice.IPProxyServiceA
pplication -log.console.dump
Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version n
umber in .class file
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:12
4)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)

C:\Program Files\Research In Motion\BlackBerry JDE 4.6.0\MDS>java -version
java version "1.5.0_14"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_14-b03)
Java HotSpot(TM) Client VM (build 1.5.0_14-b03, mixed mode)

C:\Program Files\Research In Motion\BlackBerry JDE 4.6.0\MDS>

Please use plain text.
Administrator
MSohm
Posts: 14,226
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: MDS Simulator 4.6 doesn't run properly

JDK 1.6 is required by the version 4.6.0 of the BlackBerry JDE (and included simulators).
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.